/*-----------------------------------------------------------------------------
    Name: HPD
    Generated By: This is an auto generated script. You can, however, make a copy of this script using advanced script manager and enhance it.
    Date of generation: 05/24/2021 08:35:09
    Flow details:
    Build details: 4.6.0 (build# 72)
    Modification History:
-----------------------------------------------------------------------------*/

package com.cavisson.scripts.Scenario_052421190302;
import pacJnvmApi.NSApi;



public class HPD implements NsFlow
{
    public int execute(NSApi nsApi) throws Exception
    {
        int status = 0;

        nsApi.ns_start_transaction("Homepage");
        nsApi.ns_web_url ("Homepage",
        "URL=http://10.10.30.7:81/tours/index.html",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("Homepage", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        nsApi.ns_start_transaction("Loginpage");
        nsApi.ns_web_url ("Loginpage",
        "URL=http://10.10.30.7:81/cgi-bin/login?userSession=75893.0884568651DQADHfApHDHfcDtccpfAttcf&username=Rajesh&password=cavisson&login.x=71&login.y=12&JSFormSubmit=off",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("Loginpage", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        nsApi.ns_start_transaction("Search_Results");
        nsApi.ns_web_url ("Search_Results",
        "URL=http://10.10.30.7:81/cgi-bin/reservation",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("Search_Results", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        nsApi.ns_start_transaction("Payment_Details");
        nsApi.ns_web_url ("Payment_Details",
        "URL=http://10.10.30.7:81/cgi-bin/findflight?depart=Acapulco&departDate=01-13-2021&arrive=Acapulco&returnDate=01-14-2021&numPassengers=1&seatPref=None&seatType=Coach&findFlights.x=108&findFlights.y=14",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("Payment_Details", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        nsApi.ns_start_transaction("Payment_Confirmation");
        nsApi.ns_web_url ("Payment_Confirmation",
        "URL=http://10.10.30.7:81/cgi-bin/findflight?outboundFlight=button0&hidden_outboundFlight_button0=000%7C0%7C01-13-2021&hidden_outboundFlight_button1=001%7C0%7C01-13-2021&hidden_outboundFlight_button2=002%7C0%7C01-13-2021&hidden_outboundFlight_button3=003%7C0%7C01-13-2021&numPassengers=1&advanceDiscount=&seatType=Coach&seatPref=None&reserveFlights.x=54&reserveFlights.y=17",
        "METHOD=GET",
        "HEADER=Accept:text/plain,application/json,text/html,application/javascript,application/xml",
        "HEADER=User-Agent:Mozilla/5.0 (Windows; U; Windows NT 6.0; de-DE) AppleWebKit/533.21.1 (KHTML, like Gecko) Version/5.0.5 Safari/533.21.1",
        "HEADER=Accept-Encoding: gzip, deflate, br, compress;q=0.9"
        );
        nsApi.ns_end_transaction("Payment_Confirmation", NS_AUTO_STATUS);

    status = nsApi.ns_page_think_time(0.0);

        return status;
    }
}
